From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/pdftk/
Date: Sun, 2 Jun 2024 11:15:40 +0000 (UTC) [thread overview]
Message-ID: <1717326920.154e9224cf297219ed0a5baf3cbc1e5eb5c42456.flow@gentoo> (raw)
commit: 154e9224cf297219ed0a5baf3cbc1e5eb5c42456
Author: Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Thu May 30 08:58:24 2024 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Sun Jun 2 11:15:20 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=154e9224
app-text/pdftk: add 3.3.3_p20231025
Should allow dropping old dev-java/bcprov:1.74
Bug: https://bugs.gentoo.org/923598
Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Closes: https://github.com/gentoo/gentoo/pull/36898
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>
app-text/pdftk/Manifest | 1 +
app-text/pdftk/pdftk-3.3.3_p20231025.ebuild | 80 +++++++++++++++++++++++++++++
2 files changed, 81 insertions(+)
diff --git a/app-text/pdftk/Manifest b/app-text/pdftk/Manifest
index 028f6a4638e8..45b3d4201b76 100644
--- a/app-text/pdftk/Manifest
+++ b/app-text/pdftk/Manifest
@@ -1 +1,2 @@
+DIST pdftk-3.3.3_p20231025.tar.bz2 2246135 BLAKE2B 641a8947d7be2a219b1deb4619f8ea201b8c0616ca50cc1cc1b4363050d16a7b622437f2b75236373f27ed2539f975c081f4f95a09163656d0e130969a5f4b7e SHA512 7745a161e788af2538a1e45e49c3342b8d1496cfec1079b51d4efed66440ce07a27657623ffb59d3078aa9ee964e77cbe3f8258d7d699938c59e9c6a2980f51b
DIST pdftk-v3.3.3.tar.bz2 2205902 BLAKE2B 7802554cef4389670392ca2fda3dc4c041943ad21ecf47cfcd333dc1f0899796fabf9538388586f4e64a8a1fa5d7278a93f9e88c19a1ec510b24b85027888ad4 SHA512 48173d0c4698bc984221b56dff3e6434df7cf144dddfdbf684f8fa28b9eacfd0ebf9ebca0b87df3f9534a1ed13caa4c0866bd3e7a8cd06a21b46dfaedda9ea21
diff --git a/app-text/pdftk/pdftk-3.3.3_p20231025.ebuild b/app-text/pdftk/pdftk-3.3.3_p20231025.ebuild
new file mode 100644
index 000000000000..03d5de31a055
--- /dev/null
+++ b/app-text/pdftk/pdftk-3.3.3_p20231025.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source test"
+MAVEN_ID="com.gitlab.pdftk-java:pdftk-java:3.3.3"
+JAVA_TESTING_FRAMEWORKS="junit-4"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="A port of pdftk into java"
+HOMEPAGE="https://gitlab.com/pdftk-java/pdftk"
+MY_COMMIT="3f1918c831c919d0a8fcf18c36cf40118398b995"
+SRC_URI="https://gitlab.com/pdftk-java/pdftk/-/archive/${MY_COMMIT}.tar.bz2 -> ${P}.tar.bz2"
+S="${WORKDIR}/pdftk-${MY_COMMIT}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+CP_DEPEND="
+ dev-java/bcprov:0
+ dev-java/commons-lang:3.6
+"
+
+DEPEND="
+ >=virtual/jdk-1.8:*
+ ${CP_DEPEND}
+ test? (
+ app-text/poppler[cairo]
+ dev-java/system-rules:0
+ )
+"
+
+RDEPEND="
+ >=virtual/jre-1.8:*
+ ${CP_DEPEND}"
+
+DOCS=( CHANGELOG.md README.md )
+
+JAVA_MAIN_CLASS="com.gitlab.pdftk_java.pdftk"
+JAVA_RESOURCE_DIRS="resources/java"
+JAVA_SRC_DIR="java"
+
+JAVA_TEST_GENTOO_CLASSPATH="junit-4,system-rules"
+JAVA_TEST_SRC_DIR="test"
+
+src_prepare() {
+ java-pkg-2_src_prepare
+ mkdir resources || die
+ cp -r {,resources/}java || die
+ find resources/java -type f \( -name '*.java' -o -name '*.sh' \) -exec rm -rf {} + || die
+}
+
+src_test() {
+ # some tests seem to need special treatment
+ einfo "Runnig first test"
+ JAVA_TEST_RUN_ONLY=(
+ com.gitlab.pdftk_java.CatTest
+ com.gitlab.pdftk_java.DataTest
+ com.gitlab.pdftk_java.FormTest
+ com.gitlab.pdftk_java.MultipleTest
+ )
+ java-pkg-simple_src_test
+ einfo "Running second test"
+ JAVA_TEST_RUN_ONLY=()
+ JAVA_TEST_EXCLUDES=(
+ com.gitlab.pdftk_java.CatTest
+ com.gitlab.pdftk_java.DataTest
+ com.gitlab.pdftk_java.FormTest
+ com.gitlab.pdftk_java.MultipleTest
+ )
+ java-pkg-simple_src_test
+}
+
+src_install() {
+ java-pkg-simple_src_install
+ doman "${PN}.1"
+}
next reply other threads:[~2024-06-02 11:15 UTC|newest]
Thread overview: 44+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-06-02 11:15 Florian Schmaus [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-02 6:58 [gentoo-commits] repo/gentoo:master commit in: app-text/pdftk/ Miroslav Šulc
2024-07-01 21:14 Jakov Smolić
2024-07-01 21:14 Jakov Smolić
2024-06-12 7:06 Florian Schmaus
2024-06-02 11:15 Florian Schmaus
2023-10-22 7:14 Miroslav Šulc
2023-10-20 20:18 Arthur Zamarin
2023-10-19 12:17 Sam James
2023-10-01 7:32 Miroslav Šulc
2023-10-01 7:32 Miroslav Šulc
2023-09-19 14:10 Miroslav Šulc
2023-05-16 14:02 Florian Schmaus
2023-05-16 14:02 Florian Schmaus
2023-01-24 9:08 Florian Schmaus
2022-10-28 6:13 Miroslav Šulc
2022-10-27 23:46 Sam James
2022-10-25 11:12 Sam James
2022-10-11 13:02 Miroslav Šulc
2022-10-11 6:48 Agostino Sarubbo
2022-10-10 11:49 Sam James
2022-09-23 9:58 Florian Schmaus
2022-09-10 17:30 Florian Schmaus
2022-09-09 6:43 Florian Schmaus
2022-01-24 9:14 Miroslav Šulc
2022-01-23 13:09 Jakov Smolić
2022-01-23 13:09 Jakov Smolić
2021-12-24 8:16 Miroslav Šulc
2021-12-24 8:16 Miroslav Šulc
2021-07-25 1:10 Sam James
2021-07-18 6:35 Agostino Sarubbo
2021-03-26 7:51 Miroslav Šulc
2021-03-25 21:29 Sam James
2021-02-24 10:58 Miroslav Šulc
2021-02-18 20:11 Sergei Trofimovich
2019-12-02 20:55 Andreas K. Hüttel
2019-05-14 20:40 Patrice Clement
2018-11-24 8:56 Mikle Kolyada
2018-09-05 12:33 Andreas Hüttel
2018-09-05 12:16 Andreas Hüttel
2018-09-05 11:51 Andreas Hüttel
2018-09-02 20:13 Andreas Hüttel
2018-04-08 22:42 Patrice Clement
2017-11-27 17:45 Andreas Hüttel
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1717326920.154e9224cf297219ed0a5baf3cbc1e5eb5c42456.flow@gentoo \
--to=flow@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox